--[[

	Team Balance Script 1.0
	by Manny

	This script is handling joining players to game. If player is trying to join to team which already has more players than
	another team, system prohibits this action and tells about it to player who is trying to connect.

]]--


if teambalance==nil then teambalance={} end
teambalance={}

addhook("team","teambalance.team")
function teambalance.team(id, team, look)
	-- count detection of CT and T
	teroristi = player(0,"team1")
	T = #teroristi
	policajti = player(0,"team2")
	CT = #policajti

	
	if player(id,"team") == 2 then -- IF player is in COUNTER team (team 2) **NEW**
		if team == 1 then -- player is trying to connect to T
			if T >= CT then -- i avoid that, if count of T is more than CT
				msg2(id,"255000000Error: There are too many T!")
				msg2(id,"Tip: Join CT or wait for a while.")
				return 1
			end
		end
	end

	if player(id,"team") == 1 then -- IF player is in TERROR team (team 1) **NEW**
		if team == 2 then -- player is trying to connect to CT
			if CT >= T then -- i avoid that, if count of CT is more than T
				msg2(id,"255000000Error: There are too many CT!")
				msg2(id,"Tip: Join T or wait for a while.")
				return 1
			end
		end
	end
	
	if player(id,"team") == 0 then -- IF player is in SPECT team (team 0) **NEW**
		if team == 2 then -- player is trying to connect to CT
			if CT > T then -- i avoid that, if count of CT is more than T
				msg2(id,"255000000Error: There are too many CT!")
				msg2(id,"Tip: Join T or wait for a while.")
				return 1
			end
		end
	end
	
	if player(id,"team") == 0 then -- IF player is in SPECT team (team 0) **NEW**
		if team == 1 then -- player is trying to connect to T
			if T > CT then -- i avoid that, if count of T is more than CT
				msg2(id,"255000000Error: There are too many T!")
				msg2(id,"Tip: Join CT or wait for a while.")
				return 1
			end
		end
	end
end

--[[

	The only difference I've (Skullface) done with this script is that when the server has EQUAL (e.g. 9=9) number in teams
	that people don't make it unbalanced by joining the other team. (Which would result in 8=10 unbalanced teams)
	
]]--